Update Voice Agent Settings
Voice Agents
Update Voice Agent Settings
PATCH
Update Voice Agent Settings
Updates the voice agent settings for a bot. Voice agents allow you to load a website that interacts with the meeting audio through a virtual microphone.
Learn more about voice agents in the Voice Agents guide.
Authentication
Requires API key authentication via theAuthorization header.
Path Parameters
Bot ID (e.g.,
bot_xxxxxxxxxxx)Request Body
URL of a website containing a voice agent. The bot will load this website and stream its video and audio to the meeting. The audio from the meeting will be sent to the website via the microphone. The video will be displayed through the bot’s webcam. Set to empty string
"" to turn off.Behaves the same as
url, but the video will be displayed through screenshare instead of the bot’s webcam. You cannot provide both url and screenshare_url. Set to empty string "" to turn off.Response
Returns a 200 status code when settings are successfully updated.Example Request - Enable Voice Agent
Example Request - Enable with Screenshare
Example Request - Disable Voice Agent
Error Responses
400 Bad Request
Returned when:- Invalid URL format
- Both
urlandscreenshare_urlare provided - Bot does not have voice agent resources reserved